RealPlayer, Helix Player: Buffer overflow vulnerability — GLSA 200504-21

RealPlayer and Helix Player are vulnerable to a buffer overflow that could lead to remote execution of arbitrary code.

Affected Packages

media-video/realplayer on all architectures
Affected versions < 10.0.4
Unaffected versions >= 10.0.4
media-video/helixplayer on all architectures
Affected versions < 1.0.4
Unaffected versions >= 1.0.4

Background

RealPlayer is a multimedia player capable of handling multiple multimedia file formats. Helix Player is the Open Source version of RealPlayer.

Description

Piotr Bania has discovered a buffer overflow vulnerability in RealPlayer and Helix Player when processing malicious RAM files.

Impact

By enticing a user to play a specially crafted RAM file an attacker could execute arbitrary code with the permissions of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All RealPlayer users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=media-video/realplayer-10.0.4"

All Helix Player users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=media-video/helixplayer-1.0.4"

References

Release Date
April 22, 2005

Latest Revision
April 22, 2005: 01

Severity
normal

Exploitable
remote

Bugzilla entries